# Class ContourStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.ContourStyle

All Implemented Interfaces:
  `Style`

@Equality public class ContourStyle extends Object implements Style
Style for contour plots.

Since:
  17 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ContourStyle(Color color, int nLevel, double offset, int nSmooth, int thickness, LevelMode levelMode, Combiner combiner)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Color`
`getColor()`
Returns contour colour.
`Combiner`
`getCombiner()`
Returns the combination mode.
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`int`
`getLevelCount()`
Returns requested number of contours.
`LevelMode`
`getLevelMode()`
Returns level determination algorithm.
`double`
`getOffset()`
Returns the offset of the first contour from zero.
`int`
`getSmoothing()`
Returns smoothing kernel width.
`int`
`getThickness()`
Returns line thickness.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContourStyle

public ContourStyle(Color color, int nLevel, double offset, int nSmooth, int thickness, LevelMode levelMode, Combiner combiner)
Constructor.

Parameters:
  `color` - contour line colour
  `nLevel` - number of contours
  `offset` - offset from zero of first contour
  `nSmooth` - smoothing kernel width
  `thickness` - line thickness
  `levelMode` - level determination algorithm
  `combiner` - combination mode

## Method Details

### getColor

public Color getColor()
Returns contour colour.

Returns:
  colour

### getLevelCount

public int getLevelCount()
Returns requested number of contours.

Returns:
  level count

### getOffset

public double getOffset()
Returns the offset of the first contour from zero.

Returns:
  zero offset

### getSmoothing

public int getSmoothing()
Returns smoothing kernel width.

Returns:
  smoothing amount; 1 means no smooth

### getThickness

public int getThickness()
Returns line thickness.

Returns:
  thickness of plotted contour lines in pixels

### getLevelMode

public LevelMode getLevelMode()
Returns level determination algorithm.

Returns:
  level mode

### getCombiner

public Combiner getCombiner()
Returns the combination mode.

Returns:
  combiner

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`